fop 2.3

## org.apache.fop.util.text
Class HexFieldPart

    java.lang.Object
      org.apache.fop.util.text.HexFieldPart

    public class HexFieldPart

extends java.lang.Object

Function formatting a number or character to a hex value.

Nested Class Summary
`static class` `HexFieldPart.Factory` Factory for `HexFieldPart`.

Constructor Summary
`HexFieldPart(java.lang.String fieldName)` Creates a new hex field part

Method Summary
`boolean` `isGenerated(java.util.Map params)`
`java.lang.String` `toString()`
`void` `write(java.lang.StringBuffer sb, java.util.Map params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HexFieldPart

    public HexFieldPart(java.lang.String fieldName)

  Creates a new hex field part

  Parameters:
    `fieldName` - the field name

Method Detail

### isGenerated

    public boolean isGenerated(java.util.Map params)

### write

    public void write(java.lang.StringBuffer sb,
                      java.util.Map params)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.